package com.pack.modeler.structures;

import org.processmining.models.graphbased.directed.bpmn.BPMNDiagram;

import java.util.Map;

public class ModelDataWrapper {
    private BPMNDiagram _diagram;
    private StatisticalMeasures _measures;
    private Map<String, Integer> _activitiesStats;
    private String _xml;

    public ModelDataWrapper(BPMNDiagram diagram, StatisticalMeasures measures, Map<String, Integer> activitiesStats){
        _diagram = diagram;
        _measures = measures;
        _activitiesStats = activitiesStats;
    }

    public BPMNDiagram getDiagram() {
        return _diagram;
    }

    public StatisticalMeasures getMeasures() {
        return _measures;
    }

    public Map<String, Integer> getActivitiesStats() {
        return _activitiesStats;
    }

    public String getXml() {
        return _xml;
    }

    public void setXml(String xml) {
        _xml = xml;
    }
}
